## atheme-services 7.2.11

=== Makefile ===
SUBDIRS=$(LIBMOWGLI) include libathemecore modules src $(PODIR)
CLEANDIRS = ${SUBDIRS}
DISTCLEAN = extra.mk buildsys.mk config.log config.status atheme-services.pc

-include extra.mk
-include buildsys.mk

# explicit dependencies need to be expressed to ensure parallel builds don't die
libathemecore: include $(LIBMOWGLI)
modules: libathemecore
src: libathemecore

install-extra:
	@echo "----------------------------------------------------------------"
	@echo ">>> Remember to cd to ${prefix} and edit your config file.";
	@echo "----------------------------------------------------------------"
	i="atheme-services.pc"; \
	${INSTALL_STATUS}; \
	if ${MKDIR_P} ${DESTDIR}${libdir}/pkgconfig && ${INSTALL} -m 644 $$i ${DESTDIR}${libdir}/pkgconfig/$$i; then \
		${INSTALL_OK}; \
	else \
		${INSTALL_FAILED}; \
	fi

uninstall-extra:
	i="atheme-services.pc"; \
	if [ -f ${DESTDIR}${libdir}/pkgconfig/$$i ]; then \
		if rm -f ${DESTDIR}${libdir}/pkgconfig/$$i; then \
			${DELETE_OK}; \
		else \
			${DELETE_FAILED}; \
		fi \
	fi

dist:
	@if [ ! -d .hg ]; then \
		echo "make dist only works from a mercurial tree"; \
		false; \
	fi
	hg parent --template '#define SERNO "{rev}:{node|short}"\n' >include/serno.h
	@echo "Creating $(DISTNAME).tar.gz"
	$(RM) -f $(DISTNAME)
	$(LN) -s . $(DISTNAME)
	hg manifest | awk '{ print "$(DISTNAME)/"$$1; } END { print "$(DISTNAME)/configure"; print "$(DISTNAME)/aclocal.m4"; print "$(DISTNAME)/include/sysconf.h.in"; print "$(DISTNAME)/include/serno.h"; }' | $(TAR) -chnzf $(DISTNAME).tar.gz -T /dev/stdin
	$(RM) $(DISTNAME)

buildsys.mk:
	@echo "Run ./configure first you idiot."
	@exit 1

=== include/Makefile ===
include ../extra.mk

SUBDIRS = inline protocol

DISTCLEAN = hooktypes.h
pre-depend: ${DISTCLEAN}

INCLUDES = \
	abirev.h		\
	account.h		\
	atheme.h		\
	atheme_memory.h		\
	atheme_string.h		\
	auth.h			\
	authcookie.h		\
	base64.h		\
	channels.h		\
	commandtree.h		\
	common.h		\
	conf.h			\
	confprocess.h		\
	connection.h		\
	crypto.h		\
	culture.h		\
	database_backend.h	\
	datastream.h		\
	entity-validation.h	\
	entity.h		\
	flags.h			\
	global.h		\
	hook.h			\
	hooktypes.h		\
	httpd.h			\
	i18n.h			\
	libathemecore.h		\
	linker.h		\
	match.h			\
	md5.h			\
	module.h		\
	object.h		\
	phandler.h		\
	pmodule.h		\
	privs.h			\
	res.h			\
	reslib.h		\
	sasl.h			\
	serno.h			\
	servers.h		\
	services.h		\
	servtree.h		\
	sourceinfo.h		\
	stdinc.h		\
	sysconf.h		\
	table.h			\
	taint.h			\
	template.h		\
	tools.h			\
	uid.h			\
	uplink.h		\
	users.h

hooktypes.h: hooktypes.in mkhooktypes.sh
	$(info Generate: $@)
	@sh mkhooktypes.sh hooktypes.in >hooktypes.h

include ../buildsys.mk

=== libmowgli-2/Makefile ===
SUBDIRS = src
DISTCLEAN = extra.mk buildsys.mk config.log config.status libmowgli-2.pc

include buildsys.mk

install-extra:
	i="libmowgli-2.pc"; \
	${INSTALL_STATUS}; \
	if ${MKDIR_P} ${DESTDIR}${libdir}/pkgconfig && ${INSTALL} -m 644 $$i ${DESTDIR}${libdir}/pkgconfig/$$i; then \
		${INSTALL_OK}; \
	else \
		${INSTALL_FAILED}; \
	fi

uninstall-extra:
	i="libmowgli-2.pc"; \
	if [ -f ${DESTDIR}${libdir}/pkgconfig/$$i ]; then \
		if rm -f ${DESTDIR}${libdir}/pkgconfig/$$i; then \
			${DELETE_OK}; \
		else \
			${DELETE_FAILED}; \
		fi \
	fi

=== modules/Makefile ===
SUBDIRS = \
	alis \
	auth \
	backend \
	botserv \
	chanfix \
	chanserv \
	crypto \
	exttarget \
	gameserv \
	global \
	groupserv \
	helpserv \
	hostserv \
	infoserv \
	memoserv \
	misc \
	nickserv \
	operserv \
	protocol \
	proxyscan \
	rpgserv \
	saslserv \
	security \
	statserv \
	scripting \
	transport \
	$(CONTRIB_ENABLE)

include ../extra.mk
include ../buildsys.mk

=== src/Makefile ===
SUBDIRS = footprint services dbverify ecdsakeygen

include ../extra.mk
include ../buildsys.mk

=== tools/Makefile ===
include ../extra.mk
include ../buildsys.mk

SUBDIRS = createtestdb

=== include/protocol/Makefile ===
include ../../extra.mk

INCLUDES = \
	asuka.h		\
	bahamut.h	\
	charybdis.h	\
	inspircd.h	\
	ircd-seven.h	\
	ircnet.h	\
	nefarious.h	\
	ratbox.h	\
	elemental-ircd.h \
	unreal.h

includesubdir = $(PACKAGE)/protocol

include ../../buildsys.mk

=== modules/alis/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = alis

SRCS = main.c

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

LIBS += -L../../libathemecore -lathemecore ${LDFLAGS_RPATH}

CPPFLAGS	+= -I../../include

=== modules/contrib/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.

MODULE = contrib

SRCS =				\
	backtrace.c		\
	cs_access_alias.c	\
	cs_babbler.c		\
	cs_badwords.c		\
	cs_fregister.c		\
	cs_kickdots.c		\
	cs_modesync.c		\
	cs_ping.c		\
	cs_regmode.c		\
	cs_regnotice.c		\
	cs_updown.c		\
	cs_userinfo.c		\
	dnsbl.c			\
	gen_echoserver.c	\
	gen_listenerdemo.c	\
	gen_vhostonreg.c	\
	graphtastical.c		\
	gs_roulette.c		\
	ircd_announceserv.c	\
	ircd_catserv.c		\
	ircd_loveserv.c		\
	mlocktweaker.c		\
	ms_fsend.c		\
	ns_ajoin.c		\
	ns_cleannick.c		\
	ns_fenforce.c		\
	ns_forbid.c		\
	ns_fregister.c		\
	ns_generatehash.c	\
	ns_generatepass.c	\
	ns_goodmail.c		\
	ns_guestnoreg.c		\
	ns_listlogins.c		\
	ns_mxcheck_async.c	\
	ns_mxcheck.c		\
	ns_regnotice.c		\
	ns_sendpassmail.c	\
	ns_waitreg.c		\
	on_db_save.c		\
	os_akillnicklist.c	\
	os_defcon.c		\
	os_helpme.c		\
	os_joinmon.c		\
	os_kill.c		\
	os_klinechan.c		\
	os_modeall.c		\
	os_pingspam.c		\
	os_procwatch.c		\
	os_resolve.c		\
	os_savechanmodes.c	\
	os_tabletest.c		\
	os_testcmd.c		\
	os_testproc.c		\
	os_trace.c		\
	sasl_blacklist.c	\
	wumpus.c

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS	+= -I../../include
CFLAGS		+= ${PLUGIN_CFLAGS}
LIBS		+= -L../../libathemecore -lathemecore ${CONTRIB_LIBS} ${LDFLAGS_RPATH}

=== modules/crypto/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = crypto

SRCS =			\
	argon2d.c	\
	pbkdf2.c	\
	pbkdf2v2.c	\
	posix.c		\
	ircservices.c	\
	rawmd5.c	\
	rawsha1.c

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS	+= -I../../include
LIBS 		+= -L../../libathemecore -lathemecore ${LDFLAGS_RPATH} ${SSL_LIBS} ${LIBIDN_LIBS}

=== modules/infoserv/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
#

MODULE = infoserv

SRCS = main.c

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS	+= -I../../include
LIBS +=	-L../../libathemecore -lathemecore ${LDFLAGS_RPATH}

=== modules/nickserv/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = nickserv

BASE_SRCS =			\
	main.c	\
	access.c	\
	badmail.c	\
	cert.c	\
	$(CRACKLIB_C)	\
	drop.c	\
	enforce.c	\
	freeze.c	\
	ghost.c	\
	group.c	\
	help.c	\
	hold.c	\
	identify.c	\
	info.c	\
	info_lastquit.c	\
	list.c	\
	listchans.c	\
	listgroups.c	\
	listmail.c	\
	listownmail.c	\
	login.c		\
	logout.c	\
	mark.c	\
	multimark.c	\
	register.c	\
	regnolimit.c	\
	resetpass.c	\
	restrict.c	\
	return.c	\
	sendpass.c	\
	sendpass_user.c \
	set.c		\
	set_core.c	\
	set_accountname.c \
	set_email.c	\
	set_emailmemos.c  \
	set_enforcetime.c	\
	set_hidemail.c	\
	set_language.c	\
	set_nevergroup.c	\
	set_neverop.c	\
	set_nogreet.c   \
	set_nomemo.c	\
	set_noop.c	\
	set_nopassword.c	\
	set_password.c	\
	set_privmsg.c	\
	set_private.c	\
	set_property.c	\
	set_pubkey.c	\
	set_quietchg.c	\
	setpass.c	\
	status.c	\
	taxonomy.c	\
	vacation.c	\
	verify.c	\
	vhost.c

SRCS = ${BASE_SRCS} ${EXTRA_SRCS}

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS	+= -I../../include
LIBS +=	-L../../libathemecore -lathemecore ${LDFLAGS_RPATH} ${CRACKLIB_LIBS}

=== debian/changelog ===
atheme-services (7.2.11-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * Update copyrights

  [ Unit 193 ]
  * New upstream release.
  * d/compat, d/control:
    - Drop d/compat in favor of debhelper-compat, bump to 13.
  * d/control:
    - atheme-services: Pre-Depend on ${misc:Pre-Depends}.
    - R³: no.
    - Update my email address.
  * d/watch: Update to find new releases and use uscan special strings.
  * Update Standards-Version to 4.5.1.

  [ Antoine Beaupré ]
  * Unit 193 built the above with import-orig instead of merging upstream
    tarball. this drops submodules from the Debian branch and imports them
    as "bundled" code, but that's already how I was using tarball and
    building the package anyways. thanks!

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 01 Mar 2021 11:04:23 -0500

atheme-services (7.2.9-3) unstable; urgency=medium

  [ Unit 193 ]
  * d/control: Add breaks on older atheme-services, contrib help files conflict.
    (Closes: #903453)
  * Bump Standards-Version to 4.1.5.

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 27 Jul 2018 09:51:20 -0400

atheme-services (7.2.9-2) unstable; urgency=medium

  [ Unit 193 ]
  * d/changelog, d/rules: Remove trailing whitespaces.
  * d/compat, d/control: Use debhelper 11.
  * d/rules:
    - Wrap configure options, one per line, and sort.
    - Drop extra configure options. (Closes: #894679)
    - Configure to use internal libmowgli.
    - Drop with autotools_dev, add autoreconf override to pass -I m4.
    - Don't enable the daemon by default.
    - Fail if files are found not to be installed.
    - Enable all hardening options.
  * d/control:
    - Drop unneeded build-depends on autotools-dev, dh-autoreconf, dpkg-dev.
    - Drop libmowgli-2-dev from build-depends.
    - Add myself to uploaders.
  * d/init.d: Correct path to binary, sbin → bin.
  * d/atheme-services.install, d/atheme-services-contrib.install,
    d/control, d/rules:
    - Build contrib modules and install them into atheme-services-contrib.
  * d/atheme-services.maintscript, d/atheme-services.default, d/init.d:
    - Remove /e/d/atheme-services and no longer use the options in init script.
  * d/source/lintian-overrides: Drop, no longer accurate.
  * Bump Standards-Version to 4.1.4.

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 18 Jun 2018 17:19:30 -0400

=== debian/control ===
Source: atheme-services
Section: net
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Uploaders: Micah Anderson <micah@debian.org>
         , Unit 193 <unit193@debian.org>
Build-Depends: debhelper-compat (= 13)
             , libssl-dev
             , gettext
             , pkg-config
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://atheme.github.io/atheme.html
Vcs-Git: https://salsa.debian.org/debian/atheme-services.git
Vcs-Browser: https://salsa.debian.org/debian/atheme-services/

Package: atheme-services
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}
       , ${misc:Depends}
       , lsb-base
Breaks: libmowgli-2-0
Replaces: libmowgli-2-0
Enhances: ircd
Description: modular IRC services daemon
 atheme-services is a portable, secure set of open source, modular IRC
 services, designed to run on many IRC server implementations.
 .
 Unlike alternative packages, atheme-services' core is minimalistic,
 providing only core functionality. atheme-services is a complete services
 set, excluding features designed for oper abuse.

Package: atheme-services-contrib
Architecture: any
Breaks: atheme-services (<< 7.2.9-2~)
Replaces: atheme-services (<< 7.2.9-2~)
Depends: ${shlibs:Depends}
       , ${misc:Depends}
       , atheme-services
Enhances: atheme-services
Description: modular IRC services daemon - contrib modules
 atheme-services is a portable, secure set of open source, modular IRC
 services, designed to run on many IRC server implementations.
 .
 Unlike alternative packages, atheme-services' core is minimalistic,
 providing only core functionality. atheme-services is a complete services
 set, excluding features designed for oper abuse.
 .
 This package contains the contrib modules, which may be either silly or
 undesired in a standard install.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# To enable all hardening options, uncomment following line
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# the build system silences build flags without this set
export V=1

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf autoreconf -- -f -i -I m4

override_dh_auto_configure:
	dh_auto_configure -- \
		--docdir=/usr/share/doc/atheme-services/ \
		--sysconfdir=/etc/atheme \
		--disable-rpath \
		--enable-contrib \
		--enable-fhs-paths \
		--enable-reproducible-builds \
		--with-libmowgli=no \
		--without-cracklib \
		--without-ldap \
		--without-perl

override_dh_auto_clean:
	[ ! -f buildsys.mk ] || make clean
	# Manually remove files, due to authors distclean not safe
	find -name .deps -type f -delete
	[ ! -f buildsys.mk ] || rm buildsys.mk
	[ ! -f config.sub ] || rm config.sub
	[ ! -f config.guess ] || rm config.guess
	[ ! -f config.log ] || rm config.log
	[ ! -f config.status ] || rm config.status
	[ ! -f dist/atheme.conf.operserv-example ] || rm dist/atheme.conf.operserv-example
	[ ! -f dist/atheme.conf.userserv-example ] || rm dist/atheme.conf.userserv-example
	[ ! -f extra.mk ] || rm extra.mk
	[ ! -f include/sysconf.h ] || rm include/sysconf.h

override_dh_install:
	dh_install -p atheme-services -X/contrib/
	dh_install --remaining-packages

	# Croak if there is files created by the embedded code.
	[ ! -d $(CURDIR)/debian/atheme-services/usr/include/libmowgli -a \
	  ! -f $(CURDIR)/debian/atheme-services/usr/lib/libmowgli.so ]

	# atheme-services allows wide configure latitude, so we want to make sure the user
	# reads the config files...
	rm -f $(CURDIR)/debian/atheme-services/etc/atheme/*

	# shut lintian up by not installing the LICENSE...
	rm -f $(CURDIR)/debian/atheme-services/usr/share/doc/atheme-services/LICENSE
	rm -f $(CURDIR)/debian/atheme-services/usr/share/doc/atheme/LICENSE

	# shut lintian up by removing the run folder.
	rm -rf $(CURDIR)/debian/atheme-services/var/run

override_dh_installinit:
	dh_installinit --no-enable

override_dh_missing:
	dh_missing --fail-missing

## atheme-services 7.2.12

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,11 @@
-SUBDIRS=$(LIBMOWGLI) include libathemecore modules src $(PODIR)
-CLEANDIRS = ${SUBDIRS}
+SUBDIRS   = $(SUBMODULE_LIBMOWGLI) include libathemecore modules src $(PODIR)
 DISTCLEAN = extra.mk buildsys.mk config.log config.status atheme-services.pc
 
 -include extra.mk
 -include buildsys.mk
 
 # explicit dependencies need to be expressed to ensure parallel builds don't die
-libathemecore: include $(LIBMOWGLI)
+libathemecore: $(SUBMODULE_LIBMOWGLI) include
 modules: libathemecore
 src: libathemecore

=== include/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 SUBDIRS = inline protocol
 
-DISTCLEAN = hooktypes.h
+DISTCLEAN = hooktypes.h instpaths.h
 pre-depend: ${DISTCLEAN}
 
 INCLUDES = \
@@ -32,6 +32,7 @@
 	hooktypes.h		\
 	httpd.h			\
 	i18n.h			\
+	instpaths.h		\
 	libathemecore.h		\
 	linker.h		\
 	match.h			\
@@ -63,4 +64,19 @@
 	$(info Generate: $@)
 	@sh mkhooktypes.sh hooktypes.in >hooktypes.h
 
+instpaths.h: ../extra.mk instpaths.h.in
+	$(info Generate: $@)
+	@$(SED)                                         \
+		-e 's|@BINDIR[@]|$(bindir)|g'           \
+		-e 's|@DATADIR[@]|$(DATADIR)|g'         \
+		-e 's|@DOCDIR[@]|$(DOCDIR)|g'           \
+		-e 's|@LOCALEDIR[@]|$(LOCALEDIR)|g'     \
+		-e 's|@LOGDIR[@]|$(LOGDIR)|g'           \
+		-e 's|@MODDIR[@]|$(MODDIR)|g'           \
+		-e 's|@PREFIX[@]|$(prefix)|g'           \
+		-e 's|@RUNDIR[@]|$(RUNDIR)|g'           \
+		-e 's|@SHAREDIR[@]|$(SHAREDIR)|g'       \
+		-e 's|@SYSCONFDIR[@]|$(sysconfdir)|g'   \
+	< "$@.in" > "$@"
+
 include ../buildsys.mk

=== libathemecore/Makefile ===
SHARED_LIB		= ${LIB_PREFIX}athemecore${LIB_SUFFIX}
LIB_MAJOR	= 1
LIB_MINOR	= 0
HELP_LINGUAS	= es ru fr

BASE_SRCS =				\
	account.c		\
	atheme.c		\
	arc4random.c		\
	auth.c		\
	authcookie.c		\
	base64.c		\
	channels.c		\
	cidr.c		\
	cmode.c		\
	commandtree.c		\
	ctcp-common.c		\
	conf.c		\
	confprocess.c		\
	connection.c		\
	crypto.c		\
	culture.c		\
	database_backend.c	\
	datastream.c		\
	entity.c	\
	explicit_bzero.c	\
	flags.c		\
	function.c		\
	help.c		\
	hook.c		\
	linker.c		\
	logger.c		\
	match.c		\
	md5.c			\
	memory.c		\
	module.c		\
	node.c		\
	object.c		\
	packet.c		\
	phandler.c		\
	pmodule.c		\
	privs.c		\
	ptasks.c		\
	res.c		\
	reslib.c	\
	qrcode.c	\
	send.c		\
	servers.c		\
	services.c		\
	servtree.c		\
	sharedheap.c		\
	signal.c		\
	snprintf.c		\
	string.c		\
	strshare.c		\
	svsignore.c		\
	table.c		\
	template.c		\
	tokenize.c		\
	ubase64.c		\
	users.c		\
	uid.c			\
	uplink.c

SRCS = ${BASE_SRCS} version.c

include ../buildsys.mk
include ../extra.mk

CPPFLAGS	+= $(LIBQRENCODE_CFLAGS) -I../include
CFLAGS		+= $(LIB_CFLAGS)
LIBS		+= $(LIBQRENCODE_LIBS) $(LIBINTL)
LDFLAGS         += $(LDFLAGS_RPATH)

build: depend all

=== modules/Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 	botserv \
 	chanfix \
 	chanserv \
+	$(SUBMODULE_CONTRIB) \
 	crypto \
 	exttarget \
 	gameserv \
@@ -24,8 +25,7 @@
 	security \
 	statserv \
 	scripting \
-	transport \
-	$(CONTRIB_ENABLE)
+	transport
 
 include ../extra.mk
 include ../buildsys.mk

=== po/Makefile ===
# Short KISS instructions:
#
# - To add new languages: Add *.po target to LOCALES Make variable below
# - Update and merge .po-files: make update-po
# - Only update the template .pot-file only: make update-pot
# - Run update-potfiles.sh when any new sourcefiles with translatable strings
#   have been introduced, and then continue with 'make update-po' or
#   'make update-pot' respectively.
#

LOCALES=es.po ru.po cy.po de.po da.po fr.po tr.po

include ../buildsys.mk

POTTEMPLATE=$(PACKAGE).pot

update-pot:
	@echo Updating $(POTTEMPLATE) ...
	xgettext --default-domain=$(PACKAGE) --language=C \
	--keyword=_ --keyword=N_ --from-code="utf-8" \
	--directory=.. --files-from=POTFILES.in -o $(POTTEMPLATE)

update-po: update-pot
	@echo Updating .po -files ...
	@for lang in $(LOCALES); do echo -n "$$lang : "; msgmerge --backup=simple --update "$$lang" $(POTTEMPLATE); done

=== include/inline/Makefile ===
include ../../extra.mk

INCLUDES = \
	account.h		\
	channels.h		\
	connection.h

includesubdir = $(PACKAGE)/inline

include ../../buildsys.mk

=== modules/auth/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = auth

SRCS =			\
	dummy.c				\
	$(LDAP_AUTHC)

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

LIBS 		+= -L../../libathemecore -lathemecore ${LDFLAGS_RPATH}
CPPFLAGS	+= -I../../include $(LDAP_CFLAGS)
LIBS		+= $(LDAP_LIBS)

=== modules/botserv/Makefile ===
# Copyright (c) 2016 Austin Ellis
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = botserv

SRCS =			\
	main.c	\
	bottalk.c	\
	help.c	\
	info.c	\
	set.c		\
	set_core.c	\
	set_fantasy.c	\
	set_nobot.c	\
	set_private.c	\
	set_saycaller.c \

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS	+= -I../../include
LIBS +=	-L../../libathemecore -lathemecore ${LDFLAGS_RPATH}

=== modules/chanserv/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = chanserv

SRCS =			\
	main.c	\
	access.c \
	akick.c	\
	antiflood.c	\
	ban.c		\
	clear.c	\
	clear_akicks.c  \
	clear_bans.c	\
	clear_flags.c	\
	clear_users.c	\
	clone.c	\
	close.c	\
	count.c	\
	drop.c	\
	fflags.c	\
	flags.c	\
	ftransfer.c	\
	getkey.c	\
	halfop.c	\
	help.c	\
	hold.c	\
	info.c	\
	invite.c	\
	kick.c	\
	list.c	\
	mark.c	\
	moderate.c \
	op.c		\
	owner.c	\
	protect.c	\
	quiet.c	\
	recover.c	\
	register.c	\
	set.c		\
	set_core.c	\
	set_email.c	\
	set_entrymsg.c	\
	set_fantasy.c	\
	set_gameserv.c \
	set_guard.c	\
	set_keeptopic.c	\
	set_limitflags.c \
	set_mlock.c	\
	set_prefix.c	\
	set_private.c	\
	set_property.c	\
	set_pubacl.c	\
	set_restricted.c  \
	set_secure.c	\
	set_topiclock.c	\
	set_url.c	\
	set_verbose.c	\
	successor_acl.c \
	status.c	\
	sync.c		\
	taxonomy.c	\
	template.c	\
	topic.c	\
	unban_self.c	\
	version.c	\
	voice.c	\
	why.c		\
	xop.c

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS	+= -I../../include
LIBS +=	-L../../libathemecore -lathemecore ${LDFLAGS_RPATH}

=== modules/contrib/Makefile ===
# SPDX-License-Identifier: ISC
# SPDX-URL: https://spdx.org/licenses/ISC.html
#
# Copyright (C) 2021 Atheme Development Group (https://atheme.github.io/)

-include extra.mk

SUBDIRS     = src
DISTCLEAN   = buildsys.mk config.log config.status extra.mk

-include buildsys.mk

buildsys.mk:
	@echo "This repository does not compile standalone."
	@echo "Please build Atheme IRC Services with './configure --enable-contrib' instead."
	@exit 1

=== modules/gameserv/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = gameserv

SRCS = dice.c  eightball.c  gamecalc.c  happyfarm.c  help.c  lottery.c  main.c  namegen.c  rps.c

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS	+= -I../../include
LIBS +=	-L../../libathemecore -lathemecore ${LDFLAGS_RPATH} -lm

=== modules/groupserv/Makefile ===

# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = groupserv

BASE_SRCS =			\
	acsnolimit.c		\
	drop.c			\
	fdrop.c			\
	fflags.c		\
	flags.c			\
	help.c			\
	info.c			\
	invite.c		\
	join.c			\
	list.c			\
	listchans.c		\
	register.c		\
	regnolimit.c		\
	set.c			\
	set_channel.c		\
	set_description.c	\
	set_email.c		\
	set_groupname.c		\
	set_joinflags.c		\
	set_open.c		\
	set_public.c		\
	set_url.c		\

SRCS = ${BASE_SRCS} ${EXTRA_SRCS}

SUBDIRS = main

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS	+= -I../../include
LIBS +=	-L../../libathemecore -lathemecore ${LDFLAGS_RPATH}

=== debian/changelog ===
atheme-services (7.2.12-2) unstable; urgency=medium

  [ Micah Anderson ]
  * Remove myself from debian/control Uploaders field

  [ Antoine Beaupré ]
  * fix watch file

  [ Unit 193 ]
  * Rebuild post-t64 transition. (Closes: #1061308)
  * d/control: Update (Build-)Depends, pkg-config → pkgconf, drop lsb-base.
  * d/rules, atheme-service.service: Add systemd unit. (Closes: #1039131)
  * d/rules: Drop dh_missing override, --fail-missing is default now.
  * Bump Standards-Version to 4.7.0.

 -- Unit 193 <unit193@debian.org>  Wed, 25 Sep 2024 20:08:44 -0400

atheme-services (7.2.12-1) unstable; urgency=medium

  * New upstream version 7.2.12.
    - Fixes CVE-2022-24976.
  * d/atheme.motd, d/atheme-services.(dirs|links):
    - Drop, no longer needed. (Closes: #986469)
  * d/lintian-overrides: Update for internal library and modules.
  * d/rules:
    - Drop --as-needed as it's default in stable now.
    - Drop libmowgli cruft, hasn't worked since multiarch anyway.
    - Only drop example files from /etc/atheme/
  * Update Standards-Version to 4.6.0.

 -- Unit 193 <unit193@debian.org>  Mon, 14 Feb 2022 19:48:13 -0500

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: net
 Priority: optional
 Maintainer: Antoine Beaupré <anarcat@debian.org>
-Uploaders: Micah Anderson <micah@debian.org>
-         , Unit 193 <unit193@debian.org>
+Uploaders: Unit 193 <unit193@debian.org>
 Build-Depends: debhelper-compat (= 13)
              , libssl-dev
              , gettext
-             , pkg-config
+             , pkgconf
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Homepage: https://atheme.github.io/atheme.html
 Vcs-Git: https://salsa.debian.org/debian/atheme-services.git
 Vcs-Browser: https://salsa.debian.org/debian/atheme-services/
@@ -19,7 +18,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}
        , ${misc:Depends}
-       , lsb-base
 Breaks: libmowgli-2-0
 Replaces: libmowgli-2-0
 Enhances: ircd

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# To enable all hardening options, uncomment following line
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -48,13 +46,9 @@
 	dh_install -p atheme-services -X/contrib/
 	dh_install --remaining-packages
 
-	# Croak if there is files created by the embedded code.
-	[ ! -d $(CURDIR)/debian/atheme-services/usr/include/libmowgli -a \
-	  ! -f $(CURDIR)/debian/atheme-services/usr/lib/libmowgli.so ]
-
 	# atheme-services allows wide configure latitude, so we want to make sure the user
 	# reads the config files...
-	rm -f $(CURDIR)/debian/atheme-services/etc/atheme/*
+	rm -f $(CURDIR)/debian/atheme-services/etc/atheme/*example
 
 	# shut lintian up by not installing the LICENSE...
 	rm -f $(CURDIR)/debian/atheme-services/usr/share/doc/atheme-services/LICENSE
@@ -66,5 +60,5 @@
 override_dh_installinit:
 	dh_installinit --no-enable
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_installsystemd:
+	dh_installsystemd --no-enable

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
    https://github.com/atheme/atheme/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## atheme-services 7.2.12+git20250905.fd092e3ca

=== modules/Makefile ===
# SPDX-License-Identifier: ISC
# SPDX-URL: https://spdx.org/licenses/ISC.html
#
# Copyright (C) 2010-2014 William Pitcock <nenolod@dereferenced.org>
# Copyright (C) 2010 JD Horelick <jdhore1@gmail.com>
# Copyright (C) 2010 Elly <elly@leptoquark.net>
# Copyright (C) 2010 Stephen Bennett <spb@exherbo.org>
# Copyright (C) 2011 Alyx <alyx@sporksmoo.net>
# Copyright (C) 2013 Alyx <alyx@d1stkfactory>
# Copyright (C) 2018-2020 Aaron M. D. Jones <me@aaronmdjones.net>

include ../extra.mk

SUBDIRS =                   \
    alis                    \
    auth                    \
    backend                 \
    botserv                 \
    chanfix                 \
    chanserv                \
    ${SUBMODULE_CONTRIB}    \
    crypto                  \
    exttarget               \
    gameserv                \
    global                  \
    groupserv               \
    helpserv                \
    hostserv                \
    infoserv                \
    memoserv                \
    misc                    \
    nickserv                \
    operserv                \
    protocol                \
    proxyscan               \
    rpgserv                 \
    saslserv                \
    scripting               \
    security                \
    statserv                \
    transport

include ../buildsys.mk

=== src/Makefile ===
# SPDX-License-Identifier: ISC
# SPDX-URL: https://spdx.org/licenses/ISC.html
#
# Copyright (C) 2010-2013 William Pitcock <nenolod@dereferenced.org>
# Copyright (C) 2010 Jilles Tjoelker <jilles@stack.nl>
# Copyright (C) 2010 Elly <elly@leptoquark.net>
# Copyright (C) 2010 JD Horelick <jdhore1@gmail.com>
# Copyright (C) 2017-2020 Aaron M. D. Jones <me@aaronmdjones.net>

include ../extra.mk

SUBDIRS =                           \
    ${CRYPTO_BENCHMARK_COND_D}      \
    ${ECDH_X25519_TOOL_COND_D}      \
    ${ECDSA_NIST256P_TOOLS_COND_D}  \
    dbverify                        \
    services

include ../buildsys.mk

=== tools/Makefile ===
# SPDX-License-Identifier: ISC
# SPDX-URL: https://spdx.org/licenses/ISC.html
#
# Copyright (C) 2010 William Pitcock <nenolod@dereferenced.org>
# Copyright (C) 2020 Aaron M. D. Jones <me@aaronmdjones.net>

include ../extra.mk

SUBDIRS = createburst createtestdb

include ../buildsys.mk

=== modules/backend/Makefile ===
# SPDX-License-Identifier: ISC
# SPDX-URL: https://spdx.org/licenses/ISC.html
#
# Copyright (C) 2003-2004 E. Will, et al.
# Copyright (C) 2010-2012 William Pitcock <nenolod@dereferenced.org>
# Copyright (C) 2010 Jilles Tjoelker <jilles@stack.nl>
# Copyright (C) 2011 Stephen Bennett <spb@exherbo.org>
# Copyright (C) 2018-2020 Aaron M. D. Jones <me@aaronmdjones.net>

include ../../extra.mk

MODULE = backend
SRCS   =                    \
    corestorage.c           \
    flatfile.c              \
    opensex.c

include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS += -I../../include
LDFLAGS  += -L../../libathemecore
LIBS     += -lathemecore

=== modules/botserv/Makefile ===
# SPDX-License-Identifier: ISC
# SPDX-URL: https://spdx.org/licenses/ISC.html
#
# Copyright (C) 2003-2004 E. Will, et al.
# Copyright (C) 2010 William Pitcock <nenolod@dereferenced.org>
# Copyright (C) 2010 Jilles Tjoelker <jilles@stack.nl>
# Copyright (C) 2010 JD Horelick <jdhore1@gmail.com>
# Copyright (C) 2011 Stephen Bennett <spb@exherbo.org>
# Copyright (C) 2016 Austin Ellis <siniStar@IRC4Fun.net>
# Copyright (C) 2018-2020 Aaron M. D. Jones <me@aaronmdjones.net>

include ../../extra.mk

MODULE = botserv
SRCS   =                    \
    bottalk.c               \
    help.c                  \
    info.c                  \
    main.c                  \
    set.c                   \
    set_core.c              \
    set_fantasy.c           \
    set_nobot.c             \
    set_private.c           \
    set_saycaller.c

include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS += -I../../include
LDFLAGS  += -L../../libathemecore
LIBS     += -lathemecore

=== modules/chanserv/Makefile ===
# SPDX-License-Identifier: ISC
# SPDX-URL: https://spdx.org/licenses/ISC.html
#
# Copyright (C) 2003-2004 E. Will, et al.
# Copyright (C) 2010-2015 William Pitcock <nenolod@dereferenced.org>
# Copyright (C) 2010 Jilles Tjoelker <jilles@stack.nl>
# Copyright (C) 2010-2011 JD Horelick <jdhore1@gmail.com>
# Copyright (C) 2011 Stephen Bennett <spb@exherbo.org>
# Copyright (C) 2014 Lee Starnes <starnelt@dukes.jmu.edu>
# Copyright (C) 2018-2020 Aaron M. D. Jones <me@aaronmdjones.net>

include ../../extra.mk

MODULE = chanserv
SRCS   =                    \
    access.c                \
    akick.c                 \
    antiflood.c             \
    ban.c                   \
    bansearch.c             \
    clear.c                 \
    clear_akicks.c          \
    clear_bans.c            \
    clear_flags.c           \
    clear_users.c           \
    clone.c                 \
    close.c                 \
    count.c                 \
    drop.c                  \
    fflags.c                \
    flags.c                 \
    ftransfer.c             \
    getkey.c                \
    halfop.c                \
    help.c                  \
    hold.c                  \
    info.c                  \
    invite.c                \
    kick.c                  \
    list.c                  \
    main.c                  \
    mark.c                  \
    moderate.c              \
    op.c                    \
    owner.c                 \
    protect.c               \
    quiet.c                 \
    recover.c               \
    register.c              \
    set.c                   \
    set_core.c              \
    set_email.c             \
    set_entrymsg.c          \
    set_fantasy.c           \
    set_gameserv.c          \
    set_guard.c             \
    set_keeptopic.c         \
    set_limitflags.c        \
    set_mlock.c             \
    set_prefix.c            \
    set_private.c           \
    set_property.c          \
    set_pubacl.c            \
    set_restricted.c        \
    set_secure.c            \
    set_topiclock.c         \
    set_url.c               \
    set_verbose.c           \
    status.c                \
    successor_acl.c         \
    sync.c                  \
    taxonomy.c              \
    template.c              \
    topic.c                 \
    unban_self.c            \
    version.c               \
    voice.c                 \
    why.c                   \
    xop.c

include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS += -I../../include
LDFLAGS  += -L../../libathemecore
LIBS     += -lathemecore

=== modules/crypto/Makefile ===
# SPDX-License-Identifier: ISC
# SPDX-URL: https://spdx.org/licenses/ISC.html
#
# Copyright (C) 2003-2004 E. Will, et al.
# Copyright (C) 2010-2012 William Pitcock <nenolod@dereferenced.org>
# Copyright (C) 2010 Jilles Tjoelker <jilles@stack.nl>
# Copyright (C) 2011 Stephen Bennett <spb@exherbo.org>
# Copyright (C) 2012 Elly Fong-Jones <elly@leptoquark.net>
# Copyright (C) 2014 Mantas Mikulėnas <grawity@gmail.com>
# Copyright (C) 2015-2020 Aaron M. D. Jones <me@aaronmdjones.net>

include ../../extra.mk

SUBDIRS = ${LEGACY_PWCRYPTO_COND_D}
MODULE  = crypto
SRCS    =                           \
    argon2.c                        \
    bcrypt.c                        \
    crypt3-sha2-256.c               \
    crypt3-sha2-512.c               \
    main.c                          \
    pbkdf2.c                        \
    pbkdf2v2.c                      \
    scrypt.c                        \

include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS += -I../../include
LDFLAGS  += -L../../libathemecore

CFLAGS +=                           \
    ${LIBARGON2_CFLAGS}             \
    ${LIBCRYPT_CFLAGS}              \
    ${LIBIDN_CFLAGS}                \
    ${LIBSODIUM_CFLAGS}

LIBS +=                             \
    ${LIBARGON2_LIBS}               \
    ${LIBCRYPT_LIBS}                \
    ${LIBIDN_LIBS}                  \
    ${LIBSODIUM_LIBS}               \
    -lathemecore

=== modules/gameserv/Makefile ===
# SPDX-License-Identifier: ISC
# SPDX-URL: https://spdx.org/licenses/ISC.html
#
# Copyright (C) 2003-2004 E. Will, et al.
# Copyright (C) 2010-2011 William Pitcock <nenolod@dereferenced.org>
# Copyright (C) 2010 Jilles Tjoelker <jilles@stack.nl>
# Copyright (C) 2010 JD Horelick <jdhore1@gmail.com>
# Copyright (C) 2011 Stephen Bennett <spb@exherbo.org>
# Copyright (C) 2018-2020 Aaron M. D. Jones <me@aaronmdjones.net>

include ../../extra.mk

MODULE = gameserv
SRCS   =            \
    dice.c          \
    eightball.c     \
    gamecalc.c      \
    help.c          \
    lottery.c       \
    main.c          \
    namegen.c       \
    rps.c

include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS += -I../../include
LDFLAGS  += -L../../libathemecore
LIBS     += ${LIBMATH_LIBS} -lathemecore

=== modules/global/Makefile ===
# SPDX-License-Identifier: ISC
# SPDX-URL: https://spdx.org/licenses/ISC.html
#
# Copyright (C) 2003-2004 E. Will, et al.
# Copyright (C) 2010 William Pitcock <nenolod@dereferenced.org>
# Copyright (C) 2010 Jilles Tjoelker <jilles@stack.nl>
# Copyright (C) 2011 Stephen Bennett <spb@exherbo.org>
# Copyright (C) 2018-2020 Aaron M. D. Jones <me@aaronmdjones.net>

include ../../extra.mk

MODULE = global
SRCS   = main.c

include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS += -I../../include
LDFLAGS  += -L../../libathemecore
LIBS     += -lathemecore

=== modules/hostserv/Makefile ===
# SPDX-License-Identifier: ISC
# SPDX-URL: https://spdx.org/licenses/ISC.html
#
# Copyright (C) 2003-2004 E. Will, et al.
# Copyright (C) 2010 William Pitcock <nenolod@dereferenced.org>
# Copyright (C) 2010 Jilles Tjoelker <jilles@stack.nl>
# Copyright (C) 2011 Stephen Bennett <spb@exherbo.org>
# Copyright (C) 2016 Austin Ellis <siniStar@IRC4Fun.net>
# Copyright (C) 2018-2020 Aaron M. D. Jones <me@aaronmdjones.net>

include ../../extra.mk

MODULE = hostserv
SRCS   =            \
    drop.c          \
    group.c         \
    help.c          \
    main.c          \
    offer.c         \
    onoff.c         \
    request.c       \
    vhost.c         \
    vhostnick.c

include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS += -I../../include
LDFLAGS  += -L../../libathemecore
LIBS     += -lathemecore

=== modules/infoserv/Makefile ===
# SPDX-License-Identifier: ISC
# SPDX-URL: https://spdx.org/licenses/ISC.html
#
# Copyright (C) 2010 JD Horelick <jdhore1@gmail.com>
# Copyright (C) 2010 William Pitcock <nenolod@dereferenced.org>
# Copyright (C) 2011 Stephen Bennett <spb@exherbo.org>
# Copyright (C) 2018-2020 Aaron M. D. Jones <me@aaronmdjones.net>

include ../../extra.mk

MODULE = infoserv
SRCS   = main.c

include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS += -I../../include
LDFLAGS  += -L../../libathemecore
LIBS     += -lathemecore

=== modules/misc/Makefile ===
# SPDX-License-Identifier: ISC
# SPDX-URL: https://spdx.org/licenses/ISC.html
#
# Copyright (C) 2003-2004 E. Will, et al.
# Copyright (C) 2010 William Pitcock <nenolod@dereferenced.org>
# Copyright (C) 2010 Jilles Tjoelker <jilles@stack.nl>
# Copyright (C) 2011 Stephen Bennett <spb@exherbo.org>
# Copyright (C) 2012 Marien Zwart <marien.zwart@gmail.com>
# Copyright (C) 2018-2020 Aaron M. D. Jones <me@aaronmdjones.net>

include ../../extra.mk

MODULE = misc
SRCS   =                \
    canon_gmail.c       \
    httpd.c             \
    login_throttling.c

include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS += -I../../include
LDFLAGS  += -L../../libathemecore
LIBS     += -lathemecore

=== debian/changelog ===
atheme-services (7.2.12+git20250905.fd092e3ca-1) UNRELEASED; urgency=medium

  * New upstream git snapshot.
  * Enable NLS support.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 05 Sep 2025 19:03:21 +0900

=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,12 @@
 	dh_autoreconf autoreconf -- -f -i -I m4
 
 override_dh_auto_configure:
+	cp debian/serno.h include/atheme/
 	dh_auto_configure -- \
 		--docdir=/usr/share/doc/atheme-services/ \
 		--sysconfdir=/etc/atheme \
 		--disable-rpath \
+		--enable-nls \
 		--enable-contrib \
 		--enable-fhs-paths \
 		--enable-reproducible-builds \
